.blogs {
  grid-column: center-start/center-end;
  display: grid;
  grid-template-rows: repeat(2, min-content);
  grid-row-gap: 7rem;
}

.blog {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(28rem, 1fr));
  grid-gap: 5rem 5rem;
  &__item {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-row-gap: 2rem;
    // width: 26rem;
    width: 100%;
    // height: 2rem;
    background-color: #333333;
    border-radius: 1rem;
    transition: all 0.3s;
    &:hover {
      transform: translateY(-0.8rem);
    }
  }

  &__img {
    z-index: 1;
    grid-column: 1/-1;
    grid-row: 1/2;
    width: 100%;
    height: 25rem;

    // height: 21rem;
    justify-self: center;
    border-radius: 1rem 1rem 2px 2px;
  }
  &__profile {
    padding-right: 2rem;

    display: grid;
    grid-template-columns: min-content 1fr;
    grid-column-gap: 1rem;

    padding-bottom: 2rem;
    & img {
      grid-row: 1 / span 2;
      width: 4rem;

      border-radius: 50%;
    }

    & p {
      font-size: 1.3rem;
    }
    & span {
      font-size: 1.1rem;
      color: rgba($color: $color-white, $alpha: 0.7);
    }
  }
  &__name {
    & a {
      text-decoration: none;
      color: $color-white;
      font-size: 1.4rem;
      font-weight: 400;
      transition: all 0.3s;
    }

    &:hover > a {
      color: $color-blue-hover;
    }
  }
  &__name,
  &__short-text {
    grid-column: 1/-1;
    padding: 0 2rem;
  }

  &__short-text {
    font-size: 1.2rem;
    font-weight: 100;
    line-height: 2.5rem;
    color: rgba($color: $color-white, $alpha: 0.7);
  }
  &__time {
    font-family: $font-num;
    font-size: 1.2rem;
    justify-self: center;
    align-self: center;

    display: flex;
    align-items: center;
    &::before {
      content: "";
      width: 8px;
      height: 8px;
      border-radius: 50%;
      margin-left: 8px;
      background-color: $color-blue-hover;
    }
  }
}
